Create new SimonCovid
POST /obp/dynamic-entity/SimonCovid
OBPv4.0.0-dynamicEntity_createSimonCovid_ Roles: CanCreateDynamicEntityRecord_SimonCovid(per bank) _SimonCovidDynamic-EntityDynamic
Create new SimonCovid.
Let's put Covid99 stuff here
Property List:
- name: description of name field, can be markdown text.
- number: description of number field, can be markdown text.
MethodRouting settings example:
<details>
{
"is_bank_id_exact_match":false,
"method_name":"dynamicEntityProcess",
"connector_name":"rest_vMar2019",
"bank_id_pattern":".*",
"parameters":[
{
"key":"entityName",
"value":"SimonCovid"
}
{
"key":"url",
"value":"http://mydomain.com/xxx"
}
]
}
</details>
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
Example request body
{
"name": "James Brown",
"number": 698761728
}Example success response
{
"simon_covid": {
"simon_covid_id": "d8839721-ad8f-45dd-9f78-2080414b93f9",
"name": "James Brown",
"number": 698761728
}
}Possible errors (4)
- OBP-20001: User not logged in. Authentication is required!
- OBP-20006: User is missing one or more roles:
- OBP-10001: Incorrect json format.
- OBP-50000: Unknown Error.